iCubie USB Webcam Support

iCubie USB Webcam Detailed System Requirements

The iCubie USB Webcam supports OS X, Windows, Linux and Android. Most any new computer is compatible. The following guide is intended to provide information for determining compatibility with older computers.

Please read through the system requirement details below before purchasing.

For Android:


For OS X:
  • Requires Mac OS X v10.4.3 or later (Mac OS X 10.3.9 is also supported via macam.)
  • Requires USB 2.0 Hi-Speed Port
  • G3, G4, G5 or Intel processor.
  • Video chat requires a microphone.
    (All Macs except Mac Mini, Mac Pro and Power Mac have a built-in mic.)
The following Macs have USB 2.0:
  • Any Mac with a G5 or Intel Processor
    (Mac Mini, Mac Pro, iMac G5, MacBook, MacBook Air, MacBook Pro, Power Mac G5)
  • Any iBook G4
  • 1.25Ghz or higher eMacs
  • Most PowerBook G4 Models:
    • 12" Screen: 1.0Ghz Models or Higher
    • 15" Screen: All "Aluminum" Models
    • 17" Screen: 1.33Ghz Models or Higher
  • Some iMac G4 Models:
    • 15" Screen: 1.0Ghz Model
    • 17" Screen: 1.25Ghz Model
    • 20" Screen: 1.25Ghz Model
The following Macs can be upgraded to support USB 2.0: To test your Mac's compatiblity, download the iCubie Tester.

For Windows:

  • Windows XP with SP2 or later or Windows Vista/7
  • Pentium P4 1.25Ghz or higher
  • Minimum 128MB RAM
  • One USB 2.0 Hi-Speed Port
For Linux:
  • Supported via the linux-uvc project.
  • Ubuntu and many other distributions include plug-and-play support.